# -*- rpm-spec -*-
# $Id: ipac-ng,v 1.34 2005/05/27 07:52:13 grigory Exp $

Summary: ipac-ng - IP accounting
Name: ipac-ng
Version: 1.31
Release: alt2
Copyright: GPL
Group: Networking/Other
URL: http://sourceforge.net/projects/%name/
Source: %name-%version.tar.bz2
Patch0: %name-build.patch
patch1: %name-postgres.patch
PreReq: apache-common
Requires: apache iptables postgresql gdbm

Provides: perl(ipac_cfg.pm)

# Automatically added by buildreq on Wed Feb 02 2005
BuildRequires: flex ipchains iptables libMySQL-devel libgdbm-devel libpq4-devel postgresql-devel zlib-devel
BuildRequires: libgdbm-devel libssl
BuildRequires: kernel-headers-std

%define _perl_lib_path %cgidir

%description
ipac is a package which is designed to gather, summarize and nicely
output the IP accounting data. ipac make summaries and graphs as ascii
text and/or images with graphs.

%prep
%setup -q -n %name-%version
%patch0 -p1
#patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%_prefix \
	--mandir=%_mandir \
	--enable-classic=no \
	--enable-default-storage=postgre \
	--enable-detailed-logs=yes \
	--enable-auth-server=localhost \
	--enable-default-agent=iptables
%__make DESTDIR=%buildroot all

%install
%__make DESTDIR=%buildroot install
%__mkdir_p %buildroot%_sysconfdir/%name
%__install -m 644 contrib/sample_configs/ipac.conf %buildroot%_sysconfdir/%name/ipac.conf


%files
%doc CHANGELOG README TODO contrib/* doc/*
%config %_sysconfdir/%name/ipac.conf
%attr(755,root,root)%_sbindir/ipacsum
%attr(755,root,root)%_sbindir/fetchipac
%attr(755,root,root)%_sbindir/ipac-convert
%_man8dir/*.8.*

%changelog
* Fri May 27 2005 Grigory Milev <week@altlinux.ru> 1.31-alt2
- rebuild with libpg4

* Wed Feb  2 2005 Grigory Milev <week@altlinux.ru> 1.31-alt1
- new version released

* Mon Apr  5 2004 Grigory Milev <week@altlinux.ru> 1.27-alt5
- added postgres fix patch
  (thank Nicholas Tretyachenko <tkola@amfitel.ru> for this patch)

* Tue Mar  2 2004 Grigory Milev <week@altlinux.ru> 1.27-alt4
- rebuild with gcc3.3

* Tue Sep 30 2003 Grigory Milev <week@altlinux.ru> 1.27-alt3
- fix buildreq

* Fri Aug 15 2003 Grigory Milev <week@altlinux.ru> 1.27-alt2
- fix prems and requires

* Wed Apr 16 2003 Grigory Milev <week@altlinux.ru> 1.27-alt1
- new version released

* Wed Mar 26 2003 Grigory Milev <week@altlinux.ru> 1.25-alt2
- fix bugs with perl lib requires/provides

* Thu Mar 20 2003 Grigory Milev <week@altlinux.ru> 1.25-alt1
- new version released

* Tue Nov 26 2002 Grigory Milev <week@altlinux.ru> 1.24-alt4
- rebuild with new libgdbm

* Thu Oct 24 2002 Grigory Milev <week@altlinux.ru> 1.24-alt3
- change rpm group

* Wed Oct 23 2002 Grigory Milev <week@altlinux.ru> 1.24-alt2
- rebuild with gcc3.2

* Mon Sep 30 2002 Grigory Milev <week@altlinux.ru> 1.24-alt1
- new version released

* Tue Apr  9 2002 Grigory Milev <week@altlinux.ru> 1.22-alt1
- new version released

* Fri Mar  1 2002 Grigory Milev <week@altlinux.ru> 1.21-alt1
- new version released
- build with default auth host=localhost, instead host name 
  of compiling host

* Thu Jan 24 2002 Grigory Milev <week@altlinux.ru> 1.16-alt1
- new version released

* Fri Jan  4 2002 Grigory Milev <week@altlinux.ru> 1.15-alt1
- ALT Linux adaptation

* Tue Nov 14 2001 Al Zaharov <kaiser13@mail2000.ru>
- placement of index.html file fixed
- installation of reconfig flag file added

* Mon Oct 15 2001 Al Zaharov <kaiser13@mail2000.ru>
- config file path fixed
- changed to use tmppath
- more requires added
- prereq's added
- ownership of .htaccess changed

* Thu Oct 04 2001 Alex Miller <asmm@canada.com>
- added cgi-bin utilities
- fixed description and %doc attributes

* Wed Oct 03 2001 Alex Miller <asmm@canada.com>
- started package with ipac-ng-1.11

